/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Location where the incident happened.
 */
@ApiModel(description = "Location where the incident happened.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model76 {
  @SerializedName("street_address")
  private String streetAddress = null;

  @SerializedName("postal_code")
  private String postalCode = null;

  @SerializedName("locality")
  private String locality = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("subdivision")
  private String subdivision = null;

  @SerializedName("state")
  private String state = null;

  @SerializedName("complement")
  private String complement = null;

  public Model76 streetAddress(String streetAddress) {
    this.streetAddress = streetAddress;
    return this;
  }

   /**
   * Street address.
   * @return streetAddress
  **/
  @ApiModelProperty(value = "Street address.")
  public String getStreetAddress() {
    return streetAddress;
  }

  public void setStreetAddress(String streetAddress) {
    this.streetAddress = streetAddress;
  }

  public Model76 postalCode(String postalCode) {
    this.postalCode = postalCode;
    return this;
  }

   /**
   * Postal code or zip code.
   * @return postalCode
  **/
  @ApiModelProperty(value = "Postal code or zip code.")
  public String getPostalCode() {
    return postalCode;
  }

  public void setPostalCode(String postalCode) {
    this.postalCode = postalCode;
  }

  public Model76 locality(String locality) {
    this.locality = locality;
    return this;
  }

   /**
   * Locality.
   * @return locality
  **/
  @ApiModelProperty(value = "Locality.")
  public String getLocality() {
    return locality;
  }

  public void setLocality(String locality) {
    this.locality = locality;
  }

  public Model76 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Country ISO-3166-1 alpha-2 format (2 letter codes)
   * @return country
  **/
  @ApiModelProperty(value = "Country ISO-3166-1 alpha-2 format (2 letter codes)")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model76 subdivision(String subdivision) {
    this.subdivision = subdivision;
    return this;
  }

   /**
   * Area of the city.
   * @return subdivision
  **/
  @ApiModelProperty(value = "Area of the city.")
  public String getSubdivision() {
    return subdivision;
  }

  public void setSubdivision(String subdivision) {
    this.subdivision = subdivision;
  }

  public Model76 state(String state) {
    this.state = state;
    return this;
  }

   /**
   * Label of the state.
   * @return state
  **/
  @ApiModelProperty(value = "Label of the state.")
  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }

  public Model76 complement(String complement) {
    this.complement = complement;
    return this;
  }

   /**
   * Complement to the address.
   * @return complement
  **/
  @ApiModelProperty(value = "Complement to the address.")
  public String getComplement() {
    return complement;
  }

  public void setComplement(String complement) {
    this.complement = complement;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model76 model76 = (Model76) o;
    return Objects.equals(this.streetAddress, model76.streetAddress) &&
        Objects.equals(this.postalCode, model76.postalCode) &&
        Objects.equals(this.locality, model76.locality) &&
        Objects.equals(this.country, model76.country) &&
        Objects.equals(this.subdivision, model76.subdivision) &&
        Objects.equals(this.state, model76.state) &&
        Objects.equals(this.complement, model76.complement);
  }

  @Override
  public int hashCode() {
    return Objects.hash(streetAddress, postalCode, locality, country, subdivision, state, complement);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model76 {\n");
    
    sb.append("    streetAddress: ").append(toIndentedString(streetAddress)).append("\n");
    sb.append("    postalCode: ").append(toIndentedString(postalCode)).append("\n");
    sb.append("    locality: ").append(toIndentedString(locality)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    subdivision: ").append(toIndentedString(subdivision)).append("\n");
    sb.append("    state: ").append(toIndentedString(state)).append("\n");
    sb.append("    complement: ").append(toIndentedString(complement)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

